MVCGroupManager (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface MVCGroupManager

    griffon.core.ApplicationHandler
      griffon.core.MVCGroupManager
          griffon.core.MVCHandler

All Superinterfaces:
  ApplicationHandler, MVCHandler

    public interface MVCGroupManager
    extends ApplicationHandler, MVCHandler

Manages the configuration and instantiation of MVC groups.

Authors:
  Andres Almiray

Since:
  0.9.4

Method Summary
`void` | `addConfiguration(MVCGroupConfiguration configuration)`
`MVCGroupConfiguration` | `cloneMVCGroupConfiguration(String mvcType, Map config)` Clones an existing MVCGroupConfiguration, optionally overriding additional config values.
`MVCGroupConfiguration` | `findConfiguration(String mvcType)`
`MVCGroup` | `findGroup(String mvcId)`
`MVCGroup` | `getAt(String mvcId)`
`Map` | `getBuilders()` Returns all currently available builder instances, keyed by group name.
`Map` | `getConfigurations()`
`Map` | `getControllers()` Returns all currently available controller instances, keyed by group name.
`Map` | `getGroups()`
`Map` | `getModels()` Returns all currently available model instances, keyed by group name.
`Map` | `getViews()` Returns all currently available view instances, keyed by group name.
`void` | `initialize(Map configurations)` Initializes this manager with the group configurations provided by the application and addons.
`MVCGroup` | `newMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map members)` Creates a new MVCGroup instance.
`MVCGroupConfiguration` | `newMVCGroupConfiguration(String mvcType, Map members, Map config)` Creates an MVCConfiguration instance with the given arguments.

Methods inherited from interface ApplicationHandler
getApp

Methods inherited from interface MVCHandler
buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, destroyMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Method Detail

### addConfiguration

    public void addConfiguration(MVCGroupConfiguration configuration)

### cloneMVCGroupConfiguration

    public MVCGroupConfiguration cloneMVCGroupConfiguration(String mvcType, Map config)

  Clones an existing MVCGroupConfiguration, optionally overriding additional config values.
  Parameters:
    `mvcType` - the name of the configuration to clone
    `config` - additional config parameters to be set on the configuration
  Returns:
    a ready-to-use MVCGroupConfiguration instance
  Since:
    0.9.5

### findConfiguration

    public MVCGroupConfiguration findConfiguration(String mvcType)

### findGroup

    public MVCGroup findGroup(String mvcId)

### getAt

    public MVCGroup getAt(String mvcId)

### getBuilders

    public Map getBuilders()

  Returns all currently available builder instances, keyed by group name.

  Returns:
    a Map of all currently instantiated builders.

### getConfigurations

    public Map getConfigurations()

### getControllers

    public Map getControllers()

  Returns all currently available controller instances, keyed by group name.

  Returns:
    a Map of all currently instantiated controllers.

### getGroups

    public Map getGroups()

### getModels

    public Map getModels()

  Returns all currently available model instances, keyed by group name.

  Returns:
    a Map of all currently instantiated models.

### getViews

    public Map getViews()

  Returns all currently available view instances, keyed by group name.

  Returns:
    a Map of all currently instantiated views.

### initialize

    public void initialize(Map configurations)

  Initializes this manager with the group configurations provided by the application and addons.
  Parameters:
    `configurations` - available group configurations

### newMVCGroup

    public MVCGroup newMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map members)

  Creates a new MVCGroup instance.
  Parameters:
    `configuration` - the configuration of the group
    `mvcId` - the id to use for the group
    `members` - the instance members of the group
  Returns:
    a ready-to-use MVCGroup instance

### newMVCGroupConfiguration

    public MVCGroupConfiguration newMVCGroupConfiguration(String mvcType, Map members, Map config)

  Creates an MVCConfiguration instance with the given arguments.
  Parameters:
    `mvcType` - the name of the MVC group
    `members` - members of the group
    `config` - additional configuration required by the group
  Returns:
    a ready-to-use MVCGroupConfiguration instance

Groovy Documentation